Subject: Re: [PATCH net-next v17 03/14] netdev: support binding dma-buf to netdevice

From: Simon Horman <[email-masked]>
Date: Fri, 9 Aug 2024 08:56:15 +0100

On Tue, Aug 06, 2024 at 08:39:34AM -0400, Willem de Bruijn wrote:
> Markus Elfring wrote:
> > >> …
> > >>> +++ b/include/net/devmem.h
> > >>> @@ -0,0 +1,115 @@
> > >> …
> > >>> +#ifndef _NET_DEVMEM_H
> > >>> +#define _NET_DEVMEM_H
> > >> …
> > >>
> > >> I suggest to omit leading underscores from such identifiers.
> > >> https://wiki.sei.cmu.edu/confluence/display/c/DCL37-C.+Do+not+declare+or+define+a+reserved+identifier
> > >>
> > >
> > > I was gonna apply this change, but I ack'd existing files and I find
> > > that all of them include leading underscores, including some very
> > > recently added files like net/core/page_pool_priv.h.
> > >
> > > I would prefer to stick to existing conventions if that's OK, unless
> > > there is widespread agreement to the contrary.
> > 
> > Under which circumstances would you become interested to reduce development risks
> > also according to undefined behaviour?
> > https://wiki.sei.cmu.edu/confluence/display/c/CC.+Undefined+Behavior#CC.UndefinedBehavior-ub_106
> 
> This series is following established practice in kernel networking.
> 
> If that conflicts with a C standard, then perhaps that needs to be
> resolved project wide.
> 
> Forcing an individual feature to diverge just brings inconsistency.
> That said, this appears to be inconsistent already.
> 
> Main question is whether this is worth respinning a series already at
> v17 with no more fundamental feedback.

No, from my point of view, it is not.

This really is a trivial and somewhat subjective mater.
I don't think it should hold up a substantial piece of work.